<?php
require_once "../../../app/model/db.class.php";

function descrip($tabla,$cod){
         $obj = new database();
         $obj->conectar(); $obj->consulta("set names 'utf8'");
         $result=$obj->consulta("select * from ".$tabla." where codigo='".$cod."';");
         $rs=$obj->fetch_assoc($result);
         $obj->disconnect();
         return $rs['descripcion'];
    }


function descrip_curso($tabla,$grad,$cod){
         $obj = new database();
         $obj->conectar(); $obj->consulta("set names 'utf8'");
         $result=$obj->consulta("select * from cursos where grado='".$grad."' and codigo='".$cod."';");
         $rs=$obj->fetch_assoc($result);
         $obj->disconnect();
         return $rs['descripcion'];
    }

function descrip_prof($tabla,$cod){
         $obj = new database();
         $obj->conectar(); $obj->consulta("set names 'utf8'");
         $result=$obj->consulta("select * from ".$tabla." where cedula='".$cod."';");
         $rs=$obj->fetch_assoc($result);
         $obj->disconnect();
         return $rs['nombres'];
    }


if($_REQUEST['accion']=='tabla')
    {
        $grado=$_REQUEST['grado'];
        $curso=$_REQUEST['curso'];
        $profesor=$_REQUEST['profesor'];
        $asignatura=$_REQUEST['asignatura'];
        $periodo=$_REQUEST['periodo'];        

        $v1='';
        $v2='';
        $v3='';
        $v4='';

        if($grado!='')//---grado
        {
            $v1="='".$grado."'";
        }else{
            $v1=" like '%' ";
        }


        if($curso!='')//---curso
        {
            $v2="='".$curso."'";
        }else{
            $v2=" like '%' ";
        }

        if($profesor!='')//---profesor
        {
            $v3="='".$profesor."'";
        }else{
            $v3=" like '%' ";
        }

        if($asignatura!='')//---asignatura
        {
            $v4="='".$asignatura."'";
        }else{
            $v4=" like '%' ";
        }


        $obj=new database();
        $obj->conectar(); $obj->consulta("set names 'utf8'");

       $result=$obj->consulta("select * from curso_asignatura_profesor where grado ".$v1." and curso ".$v2." and profesor ".$v3." and asignatura ".$v4." order by orden asc;");



        $cadena="<center><br><table style='font-size: 14px' border='0' cellspacing='3' cellpadding='2' class='t_info'>";
        $cadena.="<tr>";
        $cadena.="<th>&nbsp; PROFESOR &nbsp;</th>";
        $cadena.="<th>&nbsp; GRADO &nbsp;</th>";
        $cadena.="<th>&nbsp; CURSO &nbsp;</th>";
        $cadena.="<th>&nbsp; ASIGNATURA &nbsp;</th>";
        $cadena.="<th>&nbsp; I.H &nbsp;</th>";
        $cadena.="<th>&nbsp; CIERRE PLANILLA P".$periodo." &nbsp;</th>";
        $cadena.="<th colspan='2'></th>";        
        $cadena.="</tr>";


        if($obj->numero_de_filas($result))
        {


            while ( $tsArray = $obj->fetch_assoc($result) )
            {
            $data[] = $tsArray;

            }
            //print_r($data);


            for($i=0;$i<count($data);$i++){
                $cadena.="<tr onmouseover=\"this.style.backgroundColor='#89F2AC';\" onmouseout=\"this.style.backgroundColor='#BBE9EE';\">";
                $cadena.="<td align='center'>&nbsp;".$data[$i]['profesor']." &nbsp;</td>";
                $cadena.="<td align='center'>&nbsp;".$data[$i]['grado']."&nbsp;</td>";
                $cadena.="<td align='center'>&nbsp;".$data[$i]['curso']."&nbsp;</td>";
                $cadena.="<td>&nbsp; ".$data[$i]['asignatura']." -".(descrip('catalogo',$data[$i]['asignatura']))." &nbsp;</td>";
                $cadena.="<td align='center'>&nbsp;".$data[$i]['intensidad']."&nbsp;</td>";
                $cadena.="<td align='center'>&nbsp;".$data[$i]['fecha_planilla_p'.$periodo]."&nbsp;</td>";                

                $cadena.='<td align="center"> <img id="elemento1"  class="confirmar" src="imagenes/foto1.jpg" height="20" width="20"
                    onclick="eliminar(\''.$data[$i]['profesor'].'\',\''.$data[$i]['grado'].'\',\''.$data[$i]['curso'].'\',\''.$data[$i]['asignatura'].'\','.$data[$i]['orden'].')">  </td>';

                
                $cadena.='<td align="center"> <img id="elemento2"  class="confirmar" src="imagenes/editar.jpg" height="20" width="20" 
                    onclick="editar(\''.$data[$i]['profesor'].'\',\''.$data[$i]['grado'].'\',\''.$data[$i]['curso'].'\',\''.$data[$i]['asignatura'].'\','.$data[$i]['orden'].')">  </td>';

            }


        }else{

            $cadena.="<tr>";
            $cadena.="<td colspan='7' align='center'>Labor Academica No Registrada</td>";
            $cadena.="</tr>";
        }


    $cadena.="</table>";

    $cadena.="</center>";



    echo $cadena;
    }



if($_REQUEST['accion']=='grabar_labor_aca'){

    $pro=$_REQUEST['pro'];
    $grado=$_REQUEST['grado'];
    $curso=$_REQUEST['curso'];
    $asignatura=$_REQUEST['asignatura'];
    $i_h=$_REQUEST['i_h'];
    $fecha=$_REQUEST['fecha'];
    $periodo=$_REQUEST['periodo'];
    $ope=$_REQUEST['operacion'];

     $obj=new database();
     $obj->conectar(); $obj->consulta("set names 'utf8'");

     //--- cambia la fecha de todas las asign para un Docente ----
     
     
     
     if ($pro!='' and $fecha!='' and $grado=='' and $curso=='' and $asignatura=='' and $i_h==''){
     
         $obj->consulta("update curso_asignatura_profesor set fecha_planilla_p".$periodo." ='".$fecha."' where profesor='".$pro."'");
         echo "Fecha Actualiza";
       
     }
  
     else if($ope=='x'){
         
         $result=$obj->consulta("select * from curso_asignatura_profesor where grado='".$grado."' and
             curso='".$curso."' and asignatura='".$asignatura."';");

         if($obj->numero_de_filas($result)>0)
            echo '0';             
         else{      
            
            $result=$obj->consulta("insert into curso_asignatura_profesor (profesor,grado,curso,asignatura,intensidad,orden) values('".$pro."','".$grado."'
             ,'".$curso."','".$asignatura."','".$i_h."','');");

            //-- ACTUALIZAR FECHA DE CIERRE DE PLANILLAS ----
 
            $query=$obj->consulta("select * from periodos where codigo<5");
            
            while ($row = $obj->fetch_assoc($query)){
                   $obj->consulta("UPDATE curso_asignatura_profesor SET fecha_planilla_p".$row['codigo']."='".$row['fecha_planilla']."' WHERE profesor='".$pro."' AND grado='".$grado."' AND curso='".$curso."' AND asignatura='".$asignatura."'");
            }
           
           
             if($result)
                 echo '1';
         }

     }else{
         
          $datos=$_REQUEST['datos'];
             
//          print_r($datos);
             
          if($pro==$datos[0] and $grado==$datos[2] and $curso==$datos[4] and $asignatura==$datos[6]){
             $result=$obj->consulta("update curso_asignatura_profesor set intensidad='".$i_h."',fecha_planilla_p".$periodo."='".trim($fecha)."' where orden='".$ope."'");
          
             if($result)
                echo '2';
                
          }else{
              
             $result=$obj->consulta("select * from curso_asignatura_profesor where grado='".$grado."' and
             curso='".$curso."' and asignatura='".$asignatura."' and profesor='".$pro."';");

             if($obj->numero_de_filas($result)>0)
                 echo '0';

             else{   
              
                 $result=$obj->consulta("update curso_asignatura_profesor set intensidad='".$i_h."', grado='".$grado."' ,
                 curso='".$curso."' , profesor='".$pro."' , asignatura='".$asignatura."' where orden='".$ope."'");
          
                 if($result)
                    echo '2';
             }             
          }     
     }
}

if($_REQUEST['accion']=='eliminar_labor_aca'){

    $profesor=$_REQUEST['profesor'];
    $grado=$_REQUEST['grado'];
    $curso=$_REQUEST['curso'];
    $asignatura=$_REQUEST['asignatura'];
    $codigo=$_REQUEST['codigo'];

  
    $obj=new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $result=$obj->consulta("select * from boletin where grado='".$grado."' and curso='".$curso."' and asignatura='".$asignatura."' ;");
    if($obj->numero_de_filas($result)>0)
    {
        echo 'No se Puede Eliminar Registro';
    }else{    
        $result=$obj->consulta("delete from curso_asignatura_profesor where  orden='".$codigo."' and grado='".$grado."' and curso='".$curso."' and profesor='".$profesor."' and asignatura='".$asignatura."' ;");

        if($result){
            echo 'Registro Eliminado';
        }
     }
    $obj->disconnect();

}



if($_REQUEST['accion']=='editar_labor_aca'){

    $profesor=$_REQUEST['profesor'];
    $grado=$_REQUEST['grado'];
    $curso=$_REQUEST['curso'];
    $asignatura=$_REQUEST['asignatura'];
    $codigo=$_REQUEST['codigo'];
    $periodo=$_REQUEST['periodo'];


    $obj=new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    $result=$obj->consulta("select * from curso_asignatura_profesor where  orden='".$codigo."' and grado='".$grado."' and curso='".$curso."' and profesor='".$profesor."' and asignatura='".$asignatura."';");
    $obj->disconnect();
    $info='';
    if($obj->numero_de_filas($result))
        {
            $info[]=$obj->fetch_assoc($result);
        }


    $cadena="".$info[0]['profesor'].";";
    $cadena.="".(descrip_prof('profesores',$info[0]['profesor'])).";";

    $cadena.="".$info[0]['grado'].";";
    $cadena.="".(descrip('grados',$info[0]['grado'])).";";

    $cadena.="".$info[0]['curso'].";";
    
    $cadena.="".(descrip_curso('cursos',$info[0]['grado'],$info[0]['curso'])).";";

    $cadena.="".$info[0]['asignatura'].";";
    $cadena.="".(descrip('catalogo',$info[0]['asignatura'])).";";

    $cadena.="".$info[0]['intensidad'].";";
    $cadena.="".$info[0]['fecha_planilla_p'.$periodo]."";

    echo $cadena;
}


?>
